package com.rjconsultores.routing;

import java.util.logging.Logger;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;

public class MultipleDataSource extends AbstractRoutingDataSource {
    @Override
    protected Object determineCurrentLookupKey() {
         return DynamicDataSourceHolder.getRouteKey();
    }
    
    public Logger getParentLogger(){
    	return Logger.getLogger("MultipleDataSource");
    }
}
